Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`logger`.`_flatten``

module documentation
(source)

Code related to "flattening" events; that is, extracting a description of all relevant fields from the format string and persisting them for later examination.

Class | `KeyFlattener` | A `KeyFlattener` computes keys for the things within curly braces in PEP-3101-style format strings as parsed by `string.Formatter.parse`.
Function | `flatFormat` | Format an event which has been flattened with `flattenEvent`.
Function | `flattenEvent` | Flatten the given event by pre-associating format fields with specific objects and callable results in a `dict` put into the `"log_flattened"` key in the event.
Variable | `aFormatter` | Undocumented

def flatFormat(event: `LogEvent`) -> `str`: (source)

Format an event which has been flattened with `flattenEvent`.

Parameters
event:`LogEvent` | A logging event.
Returns
`str` | A formatted string.

def flattenEvent(event: `LogEvent`): (source)

Flatten the given event by pre-associating format fields with specific objects and callable results in a `dict` put into the `"log_flattened"` key in the event.

Parameters
event:`LogEvent` | A logging event.

aFormatter = (source)

Undocumented